#ifndef VNET_YARP_FILTER_EMPTY_HH_
#define VNET_YARP_FILTER_EMPTY_HH_

#include <vnet_filter.hh>


namespace vnet {
	namespace yarp {
		class filter_pass : public filter_base {
			public:
			filter_pass(const std::vector<std::string>&) {}
			bool filter(const std::pair<std::string, std::string>& )
			{
				return true;
			}

			std::string repr() const { return "pass"; }
		};
	}
}

#endif /* VNET_YARP_FILTER_EMPTY_HH_ */
